﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Syncfusion.Windows.Shared;

namespace TreeViewAdv_133774
{
    public class ViewModel : NotificationObject
    {
        public ViewModel()
        {
            modelItems = new ObservableCollection<Model>();
            PopulateCollection();
        }

        /// <summary>
        /// Property which stores ModelItems used as ItemsSource for TreeViewAdv
        /// </summary>
        private ObservableCollection<Model> modelItems;

        public ObservableCollection<Model> ModelItems
        {
            get
            {
                return modelItems;
            }

            set
            {
                modelItems = value;
            }
        }

        /// <summary>
        /// Property which stores EnableMouseOverEffect
        /// </summary>
        private bool enableMouseOverEffect = true;

        public bool EnableMouseOverEffect
        {
            get
            {
                return enableMouseOverEffect;
            }

            set
            {
                enableMouseOverEffect = value;
                this.RaisePropertyChanged(() => this.EnableMouseOverEffect);
            }
        }

        #region Method

        //Methods used for Populating the Collection for ItemsSource

        private void PopulateCollection(ObservableCollection<Model> collection)
        {
            for (int i = 0; i < 5; i++)
            {
                Model mainmodel = new Model() { Header = "Sub Item " + i.ToString() };
                collection.Add(mainmodel);
            }
        }

        private void PopulateCollection()
        {
            for (int i = 0; i < 5; i++)
            {
                Model mainmodel = new Model() { Header = "Main Item " + i.ToString() };

                ModelItems.Add(mainmodel);
                PopulateCollection(mainmodel.Models);
            }
        }
        #endregion
    }
}
